---
layout: post
title:  render
categories: api webpage webpage-method
permalink: api/webpage/method/render.html
---

`render(filename [, {format, quality}])` {void}

Renders the web page to an image buffer and saves it as the specified `filename`.

Currently, the output format is automatically set based on the file extension.

## Supported formats

* PNG
* GIF
* JPEG
* PDF

## Quality

An integer between 0 and 100.


## Examples

```javascript
var webPage = require('webpage');
var page = webPage.create();

page.viewportSize = { width: 1920, height: 1080 };
page.open("http://www.google.com", function start(status) {
  page.render('google_home.jpeg', {format: 'jpeg', quality: '100'});
  phantom.exit();
});
```








