---
layout: post
title: Who's using PhantomJS?
categories: docs docs-explore
permalink: users.html
---

## Open-source Projects

The following open-source projects are using PhantomJS as part of the testing workflow:

* Bootstrap
* CodeMirror
* Ember.js
* Grunt
* Modernizr
* YUI3
* Zepto
* Durandaljs

## Organizations

* [1minus1 Ltd](http://1minus1.com) uses PhantomJS to run Jasmine tests on TeamCity continuous integration server.
* [A Spanish Life](http://aspanishlife.com) uses PhantomJS to generate advertisement images from user content.
* [Aha!](http://www.aha.io) uses PhantomJS to generate PDF reports and PNG thumbnails from HTML.
* [Apache Thrift](http://thrift.apache.org) uses PhantomJS combined with QUnit for the test suite.
* [BandPage](http://www.bandpage.com) uses using PhantomJS inside a custom node file watcher thingy to run QUnit-based tests on every file save.
* [Betfair](http://betfair.com) uses PhantomJS for JSUnit Testing Tool.
* [CircuitLab](http://circuitlab.com) uses PhantomJS to render electronic schematic into professional-quality images and PDF (source: [blog post](https://www.circuitlab.com/blog/2012/06/20/rendering-16_000-schematics-in-the-cloud-with-rabbitmq-and/))
* [Consunet](https://consunet.com.au) uses PhantomJS for testing open source, self-contained HTML apps [EveryPass](https://consunet.com.au/products/everypass/) and [WhisperNote](https://consunet.com.au/products/whispernote/) using CasperJS in a GruntJS build process.
* [Datadog](http://www.datadoghq.com) uses PhantomJS to generate images from SVG graphs and reports, built with d3.js.
* [Internet Archive](http://archive.org) uses PhantomJS for automated QA (source: [tweet](https://twitter.com/lljohnston/status/197691434990698496) from Leslie Johnston)
* [Jive Software](http://www.jivesoftware.com/) uses PhantomJS to run QUnit tests as an Ant target in the continuous integration server.
* [KodeCRM](http://www.kodecrm.com) uses PhantomJS to run QUnit tests on commandline
* [Leftronic](https://www.leftronic.com) uses PhantomJS to render dashboard screenshots for their users
* [LinkedIn (Mobile)](http://linkedin.com) uses PhantomJS as the basis for performance tool (source: [presentation](http://www.slideshare.net/phegaro/linkedin-mobile-how-do-we-do-it), slide 22)
* [Media Queries](http://mediaqueri.es) uses PhantomJS to capture screenshots of sites using media queries and responsive design (source, [tweet](https://twitter.com/mediaqueries/status/202650584887730177) from Media Queries).
* [NodeCloud](http://www.nodecloud.org) uses PhantomJS to generate screenshot of selected web sites related to Node.js.
* [Novus](http://www.novus.com) uses PhantomJS to power reporting functionality in the real-time financial analytics product.
* [Pageflex](http://www.pageflex.com) uses PhantomJS for web-to-print rendering solutions.
* [Impact Marketing Solutions](http://www.solutionsbyimpact.com) uses PhantomJS for dynamic data visualization, high-resolution print graphics generation, CI testing (QUnit+JenkinsCI), screenshot capture for visual proofing and approval workflows and web-to-print rendering solutions.
* [Pantera Commerce](http://www.panteracom.com) uses PhantomJS on Pantera Store to make large-scale e-commerce stores crawlable by search engines.
* [Parse.ly](http://parse.ly) uses PhantomJS to generate weekly digest e-mails to writers and editors that include personalized analytics about their content; built with d3.js, Jinja2 and the PhantomJS ``render()`` function. (Source: [Whatever It Takes](http://blog.parsely.com/post/34241210620/whatever-it-takes).)
* [Shopetti](https://www.shopetti.com) uses PhantomJS with Node.JS to generate price monitoring and sales alerts on different brands.
* [Superius](http://www.superius.hr) uses PhantomJS for QUnit tests of their dynamically created mobile business web applications.
* [Thomson Reuters](http://thomsonreuters.com) uses PhantomJS to run QUnit and [legacy] JsUnit tests as an Ant target during CI builds (source: [email](https://groups.google.com/d/topic/phantomjs/tJhjQFZJAs4/discussion) from James Greene).
* [Time Warner Cable](http://www.timewarnercable.com) uses PhantomJS with CoffeeScript + Jasmine for JavaScript build and JUnit XML for Jenkins continuous integration.
* [Torbit](http://torbit.com) uses PhantomJS to analyze web pages in order to determine potential optimizations and various other tests.
* [Twitter](http://twitter.com) uses using PhantomJS to run QUnit-based tests running within Jenkins CI (source: [tweet](https://twitter.com/leolaneseltd/status/197766152745787392) from Leo Lanese)
* [Webs](http://www.webs.com/) uses PhantomJS to run automated tests.
* [wtcss](http://css.benjaminbenben.com) uses PhantomJS to find where selectors match on a page
