---
layout: post
title: Release Names
categories: docs docs-get-started
permalink: release-names.html
---

## PhantomJS 1.9 "Sakura"

![](http://farm6.static.flickr.com/5030/5607810834_3220056f56_m.jpg)

Sakura is a spring flower, see Ariya's [email on Mar 23, 2013](https://groups.google.com/d/msg/phantomjs/yM25jtdispo/dXbenqn-mvYJ):

> We do agree that this release should mark the end of the 1.x series.
> Going forward, we'll switch to Qt 5 and use the chance to boot the
> all-new 2.0. For such a closing release, it just makes sense to pick
> something related to the first code name ever given (exercise for the
> reader), hence why 1.9 is called "Sakura".

## PhantomJS 1.8 "Blue Winter Rose"

[![](http://awoiaf.westeros.org/images/8/83/Blue_Roses1.jpg)](http://awoiaf.westeros.org/index.php/File:Blue_Roses1.jpg)

The **Blue Winter Rose** is a flower that grows in the glass gardens of Winterfell.
It's pale blue the color of frost. Also, it's connected to the legend of **Bael the Bard**.

> Bael the Bard climbed the Wall.
> Took the Kingsroad and entered Winterfell.
> He made himself known as Sygerrik of Skagos, a singer.
> He sang until midnight for the Lord's pleasure.
> Impressed by his skills, Lord Brandon Stark asked him what rewarded he wanted.
> Bael asked for the most beautiful flower in Winterfell's gardens.
> Blue winter roses were just blooming.
> Brandon Stark agreed to offer him one.

The following morning, the virgin daughter of the lord had disappeared. In her bed was a Blue Winter Rose.

Source: [A wiki of Ice and Fire](http://awoiaf.westeros.org/index.php/Blue_winter_rose).

Photo by christopher goodband [CC BY-SA 2.0](http://creativecommons.org/licenses/by-sa/2.0/).

## PhantomJS 1.7 "Blazing Star"

[![](http://upload.wikimedia.org/wikipedia/commons/thumb/6/63/Liatris_spicata_close-up.jpg/220px-Liatris_spicata_close-up.jpg)](http://commons.wikimedia.org/wiki/File:Liatris_spicata_close-up.jpg)

Blazing Star is an autumn flower. See Ariya's
[email](http://groups.google.com/d/topic/phantomjs/7jiydz_52cg) on Sep 22, 2102:

> "Blazing Star" is a mesmerizing and beautiful flower, it is often used
> as a symbol representing happiness and satisfaction. Tending these
> flowers requires some patience, the reward is however worth all the hassle.
>
> Its beautiful appearance makes it popular among gardeners, don't be
> surprised if you are stunned by the florets for hours and hours.
> Blazing star is also known to have mild medicinal characteristics.
> A fabulous combination of outer beauty and inner beauty I would say.
>
> These days, with almost every web-related test framework gets
> connected to PhantomJS in one way or another, presenting these
> attractive yet romantic blossoms marking a joyful relationship could
> not be a better honor for us.

Photo by Frank Wouters [CC-BY](http://creativecommons.org/licenses/by/2.0/deed.en)
via Wikimedia Commons.

## PhantomJS 1.6 "Lavender"

[![](http://upload.wikimedia.org/wikipedia/commons/thumb/6/60/Single_lavendar_flower02.jpg/220px-Single_lavendar_flower02.jpg)](http://commons.wikimedia.org/wiki/File:Single_lavendar_flower02.jpg)

Lavender is a summer flower. See Ariya's [email on June 18, 2012](http://groups.google.com/d/topic/phantomjs/EOKOqdmXcjU):

> ...for this summer  release, I pick the code name "Lavender". This summer flower is not
> only beautiful, it is also known for its wonderful scent and soothing
> quality, often served as a remedy for anything from sore joints to
> insomnia. Well, with the widespread use of PhantomJS in various
> testing frameworks since some releases ago, isn't that exactly what
> this headless WebKit also brings to many web developers? Helping
> people to stay calm, avoid anxiety, and increase their productivity is
> surely a decent goal to have!

Photo by Fir0002/Flagstaffotos (Own work) [CC-BY-NC](http://creativecommons.org/licenses/by-nc/3.0/)
via Wikimedia Commons.

## PhantomJS 1.5 "Ghost Flower"

[![](http://upload.wikimedia.org/wikipedia/commons/thumb/8/8f/Mohavea_confertiflora_1.jpg/218px-Mohavea_confertiflora_1.jpg)](http://commons.wikimedia.org/wiki/File:Mohavea_confertiflora_1.jpg)

Ghost Flower is a spring flower. See Ariya's [email on March 15, 2012](https://groups.google.com/d/topic/phantomjs/6pDNT-Epk7E/discussion):

> ...for this spring release, I cast the code name "Ghost Flower". This spring flower is
> rather beautiful actually. California, where I now reside, is one of
> its native home. In addition, I'm sure you'll notice the significance
> of the first word in the name :)

Photo by Stan Shebs (Own work) [CC-BY-SA-3.0](http://creativecommons.org/licenses/by-sa/3.0/deed.en)
via Wikimedia Commons.

## PhantomJS 1.4 "Glory of the Snow"

[![Dunkle Sternhyazinthe 2008-3-7a](http://upload.wikimedia.org/wikipedia/commons/thumb/0/07/Dunkle_Sternhyazinthe_2008-3-7a.JPG/240px-Dunkle_Sternhyazinthe_2008-3-7a.JPG)](http://commons.wikimedia.org/wiki/File%3ADunkle_Sternhyazinthe_2008-3-7a.JPG "By Hedwig Storch (Own work) [CC-BY-SA-3.0 (www.creativecommons.org/licenses/by-sa/3.0)], via Wikimedia Commons")

Glory of the Snow is a winter flower. See Ariya's [email on Nov 29, 2011](https://groups.google.com/d/topic/phantomjs/5VA1kQH_864/discussion):

> Approaching the final month before its very first birthday, I'm sure
> we're all very happy to see that PhantomJS gains a lot of tractions
> these days. There are reports of people using it with various
> JavaScript test frameworks, along with assorted types of continuous
> integration systems. The ecosystem grows and lately there seems to be
> an increasing amount of projects using PhantomJS as a basis to do
> something which was not possible before. In short, it spreads like
> wild fire. Thus, it just makes sense for me to cast the winter release
> of PhantomJS, i.e. version 1.4, as "Glory of the Snow". It's a winter
> flower with beautiful colorful star petals which easily grows and
> spreads to almost everywhere.

Photo by Hedwig Storch (Own work) [CC-BY-SA-3.0](http://creativecommons.org/licenses/by-sa/3.0/)
via Wikimedia Commons.

## PhantomJS 1.3 "Water Lily"

[![Nymphaea japan](http://upload.wikimedia.org/wikipedia/commons/thumb/f/fa/Nymphaea_japan.jpg/240px-Nymphaea_japan.jpg)](http://commons.wikimedia.org/wiki/File:Nymphaea_japan.jpg "By Kazuyanagae (Own work) [CC-BY-SA-3.0 (www.creativecommons.org/licenses/by-sa/3.0)], via Wikimedia Commons")

Water Lily is an autumn flower. See Ariya's [email on June 24, 2011](https://groups.google.com/d/topic/phantomjs/kRz9atKlyWE/discussion):

> When I started PhantomJS, I never thought it would be this
> fascinating. Getting some interests from the integration testing folks
> is awesome. In particular, I hope (we're getting there) PhantomJS can
> be a nice solution for, among others, Ruby developers. Related to
> this, hereby I designate the autumn release of PhantomJS, i.e. version 1.3,
> as "Water Lily", an autumn flower considered by many to be the "jewels of the pond".

Photo by Kazuyanagae (Own work), [CC-BY-SA-3.0](http://creativecommons.org/licenses/by-sa/3.0/)
via Wikimedia Commons.

## PhantomJS 1.2 "Birds of Paradise"

![bird of paradise](http://farm6.static.flickr.com/5277/5896075342_9a3118666f_m.jpg)

Birds of Paradise is a summer flower. See Ariya's [email on May 31, 2011](https://groups.google.com/forum/#!topic/phantomjs/5MHRKM8IOyU/discussion):

> I feel honored that PhantomJS gains a lot of tractions and used by
> many front-end developers. One particular striking example is Twitter.
> Now, if I allow to pick a random bird (remember the tweet connection),
> that'll be sunbird. In particular because Strelitzia nicolai is
> pollinated by the sunbirds.
> Strelitzia nicolai is just one species under the genus Strelitzia,
> commonly known as the beautiful Birds of Paradise flowers.

## PhantomJS 1.1 "Cherry Blossom"

![](http://farm6.static.flickr.com/5030/5607810834_3220056f56_m.jpg)

Cherry Blossom is a spring flower. See Ariya's [email on Apr 9, 2011](https://groups.google.com/forum/#!topic/phantomjs/0LINaH93DpI/discussion):

> I would like to have "seasonal" PhantomJS release schedules. Thus,
> this month seems to qualify very well for a Spring release of
> PhantomJS 1.1. Most likely code name for this release is "Cherry
> Blossom" since there are apparently lots of PhantomJS fans in Japan
> (search for PhantomJS in Twitter) and with the recent difficult time
> they have, paying homage to them is the least we can do."
