---
layout: post
title: PhantomJS 1.8 Release Notes
categories: release
permalink: release-1.8.html
---

PhantomJS 1.8, _[Blue Winter Rose](release-names.html)_, was released on December 21, 2012. It integrated Ghost Driver, an implementation of WebDriver Wire Protocol.

**WebDriver support via Ghost Driver integration**

[Ghost Driver](https://github.com/detro/ghostdriver), a project by
[Ivan De Marino](http://blog.ivandemarino.me/2012/12/04/Finally-GhostDriver-1-0-0), is an implementation
of [WebDriver Wire Protocol](http://code.google.com/p/selenium/wiki/JsonWireProtocol).
In this PhantomJS release, Ghost Driver functionalities have been fully integrated.

To launch PhantomJS in _Remote WebDriver mode_ at the intended `PORT` number:

```bash
phantomjs --webdriver=PORT
```

The following example, written in Ruby, assumes PhantomJS WebDriver is running on port `9134`.
The script will load Google, submit a search for the term _"PhantomJS"_ and print the page title
of the search result page:

```ruby
require "selenium-webdriver"
driver = Selenium::WebDriver.for(:remote, :url => "http://localhost:9134")
driver.navigate.to "http://google.com"
element = driver.find_element(:name, 'q')
element.send_keys "PhantomJS"
element.submit
puts driver.title
driver.quit
```

Bindings for your favourite programming language can be found in [Selenium &gt;= 2.27](https://code.google.com/p/selenium/downloads/list):

<table>
<thead>
    <tr>
        <th>Language Binding</th>
        <th>Status</th>
    </tr>
</thead>
<tbody>
    <tr>
        <td>Java</td>
        <td>Available</td>
    </tr>
    <tr>
        <td>C#/.Net</td>
        <td>Available</td>
    </tr>
    <tr>
        <td>Python</td>
        <td>Available</td>
    </tr>
    <tr>
        <td>Ruby</td>
        <td>Available</td>
    </tr>
    <tr>
        <td>PHP</td>
        <td>Work in progress</td>
    </tr>
</tbody>
</table>

**NOTICE:** Language bindings are provided by kind members of the Selenium community.
Issues related to those should be
[reported to Selenium project](https://code.google.com/p/selenium/issues/list).
PhantomJS **solely** implements the Wire Protocol and it is not responsible for any/possible
binding malfunctions.

More details can be found in
[this blog post](http://blog.ivandemarino.me/2012/12/04/Finally-GhostDriver-1-0-0).
Also, make sure you check the documentation of [Selenium WebDriver](http://seleniumhq.org/docs/03_webdriver.jsp).

**New features**

**Improvements**

**Fix in 1.8.1**

**Fixes in 1.8.2**

**Known Issues on Microsoft Windows**

Back to [all releases](releases.html).
